Subject: bug#28817: closed (Re: bug#28817: incorrect NEWS entry about vc-state faces)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 21 Nov 2017 19:40:02 +0000

Your bug report

#28817: incorrect NEWS entry about vc-state faces

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
28817: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=28817
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#28817: incorrect NEWS entry about vc-state faces
From: [email-masked] (Charles A. Roelli)
To: [email-masked] (Charles A. Roelli)
Cc: [email-masked], [email-masked]
Date: Tue, 21 Nov 2017 20:40:20 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Mon, 16 Oct 2017 16:34:17 +0200
> From: [email-masked] (Charles A. Roelli)
> 
> > Date: Fri, 13 Oct 2017 21:41:55 +0300
> > From: Eli Zaretskii <[email-masked]>
> > CC: [email-masked]
> > Reply-to: Eli Zaretskii <[email-masked]>
> > 
> > > Date: Fri, 13 Oct 2017 20:28:44 +0200
> > > From: [email-masked] (Charles A. Roelli)
> > > 
> > > * | | | | | | | | | | | | | | | | | 65fa442..: Lars Ingebrigtsen 2016-03-01 Add a NEWS entry for the colorful VC indicator
> > >   commit 65fa442f2bae42d3f9b06264ca432073ee3197c3
> > >   Author: Lars Ingebrigtsen <[email-masked]>
> > >   Date:   Tue Mar 1 14:31:35 2016 +1100
> > > 
> > >   Add a NEWS entry for the colorful VC indicator
> > > 
> > > * | | | | | | | | | | | | | | | | | 2621c29..: Lars Ingebrigtsen 2016-03-01 Use colors in the VC mode lines
> > >   commit 2621c293d82c15c00d9e73a8db75d70da7d0a23b
> > >   Author: Lars Ingebrigtsen <[email-masked]>
> > >   Date:   Tue Mar 1 14:25:27 2016 +1100
> > > 
> > >   Use colors in the VC mode lines
> > > 
> > >   * lisp/vc/vc-hooks.el: Make the mode line faces default to
> > >   using colors to more clearly tell the user what the status is.
> > > 
> > > The NEWS entry commit seems to have made it to Emacs 26, but the mode
> > > line faces are still the same as in Emacs 25.  Looks like commit
> > > 2621c29 got lost somehow.
> > 
> > Some merge snafu, I suppose: this was merged from the emacs-25 branch.
> 
> I'm not sure I understand: the commit was made in the master branch.
> See:
> 
> https://lists.gnu.org/archive/html/emacs-diffs/2016-02/msg00709.html
> 
> Ah, I think I understand now.  Commit 2621c29 was reverted later:
> 
> * | | | | | | | | | | | | | | | | | 7882dc6..: John Wiegley 2016-03-06 Revert "Use colors in the VC mode lines"
>   commit 7882dc625e1ec562fcd0e1b743ef11b160cae18e
>   Author: John Wiegley <[email-masked]>
>   Date:   Sun Mar 6 12:51:44 2016 -0800
> 
>   Revert "Use colors in the VC mode lines"
> 
>   This reverts commit 2621c293d82c15c00d9e73a8db75d70da7d0a23b.
> 
> and I can't find a revert for commit 65fa442 (the NEWS entry).

It's fixed, closing.

  commit 11db253c082a06629d9e8baf30339b6024a0af4f
  Author: Charles A. Roelli <[email-masked]>
  Date:   Tue Nov 21 20:36:19 2017 +0100

  Remove incorrect NEWS item about VC state indicator (Bug#28817)

  * etc/NEWS (VC and related modes): Remove news item about the VC
  state indicator.  This should have been done with commit 7882dc6
  of 2016-03-06 'Revert "Use colors in the VC mode lines"'.

Subject: incorrect NEWS entry about vc-state faces
From: [email-masked] (Charles A. Roelli)
To: [email-masked]
Date: Fri, 13 Oct 2017 20:28:44 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

In the 26.0.90 NEWS file we have:

*** The VC state indicator in the mode line now defaults to more
colorful faces to make it more obvious to the user what the state is.
See the 'vc-faces' customization group.

which was added in these commits:

* | | | | | | | | | | | | | | | | | 65fa442..: Lars Ingebrigtsen 2016-03-01 Add a NEWS entry for the colorful VC indicator
  commit 65fa442f2bae42d3f9b06264ca432073ee3197c3
  Author: Lars Ingebrigtsen <[email-masked]>
  Date:   Tue Mar 1 14:31:35 2016 +1100

  Add a NEWS entry for the colorful VC indicator

* | | | | | | | | | | | | | | | | | 2621c29..: Lars Ingebrigtsen 2016-03-01 Use colors in the VC mode lines
  commit 2621c293d82c15c00d9e73a8db75d70da7d0a23b
  Author: Lars Ingebrigtsen <[email-masked]>
  Date:   Tue Mar 1 14:25:27 2016 +1100

  Use colors in the VC mode lines

  * lisp/vc/vc-hooks.el: Make the mode line faces default to
  using colors to more clearly tell the user what the status is.

The NEWS entry commit seems to have made it to Emacs 26, but the mode
line faces are still the same as in Emacs 25.  Looks like commit
2621c29 got lost somehow.

Also, not sure why this group is defined (in vc-hooks.el):

(defgroup vc-state-faces nil
  "Faces used in the mode line by the VC state indicator."
  :group 'vc-faces
  :group 'mode-line
  :version "25.1")

then never used.  It looks like the vc-state-*/vc-*-state faces are
meant to inherit from it, but it's not clear.  It also makes the
customization buffers confusing.